Package ghidra.features.bsim.gui.filters

# Interface BSimValueEditor

All Known Implementing Classes:
  `BooleanBSimValueEditor`, `MultiChoiceBSimValueEditor`, `StringBSimValueEditor`

public interface BSimValueEditor
Interface for BSim filter value editors. Some BSim editors can support multiple values, so the getValues, setValues methods all work on lists of strings.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `FILTER_DELIMETER`
  `static final Color`
  `INVALID_COLOR`
  `static final Color`
  `VALID_COLOR`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `JComponent`
  `getComponent()`
  returns the GUI component used to allow the user to see and change editor values.
  `List<String>`
  `getValues()`
  Returns the current set of editor values.
  `boolean`
  `hasValidValues()`
  Returns true if the editor has valid values as determined by the editor's corresponding `BSimFilterType.isValidValue(java.lang.String)`.
  `void`
  `setValues(List<String> values)`
  Sets the editor to the given string values.

- ## Field Details

  - ### FILTER_DELIMETER

    static final String FILTER_DELIMETER
    See Also:
      - Constant Field Values

  - ### VALID_COLOR

    static final Color VALID_COLOR

  - ### INVALID_COLOR

    static final Color INVALID_COLOR

- ## Method Details

  - ### setValues

    void setValues(List<String> values)
    Sets the editor to the given string values. They are displayed in the GUI as comma separated values.
    Parameters:
      `values` - the values to be used as the current editor values

  - ### getValues

    List<String> getValues()
    Returns the current set of editor values.
    Returns:
      the current set of editor values

  - ### getComponent

    JComponent getComponent()
    returns the GUI component used to allow the user to see and change editor values.
    Returns:
      the GUI component used to allow the user to see and change editor values

  - ### hasValidValues

    boolean hasValidValues()
    Returns true if the editor has valid values as determined by the editor's corresponding `BSimFilterType.isValidValue(java.lang.String)`.
    Returns:
      true if the editor has valid values as determined by the editor's corresponding filter type.